<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/bg_gray"
    tools:context=".liveVideo.AddLinkedUserActivity">

    <!-- 标题栏 -->
    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/linked_user"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />
    </LinearLayout>

    <!-- 搜索区域 -->
    <LinearLayout
        android:id="@+id/searchLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingHorizontal="16dp"
        android:paddingVertical="12dp"
        android:layout_marginTop="8dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/bg_user_manage"
            android:gravity="center_vertical"
            android:paddingHorizontal="16dp">

            <ImageView
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:src="@drawable/search"
                android:layout_marginRight="8dp"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/search_preset_text"
                android:textColor="@color/gray"
                android:textSize="14sp"/>
        </LinearLayout>
    </LinearLayout>

    <!-- 列表区域 -->
    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipeRefresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvAddLinkedUser"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingHorizontal="16dp"
            android:paddingTop="8dp"
            android:paddingBottom="16dp"/>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <!-- 底部按钮 -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="16dp"
        android:paddingBottom="60dp">

        <android.widget.Button
            android:id="@+id/btnAddLinkedUser"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:text="@string/confirm"
            android:textColor="@color/white"
            android:textSize="14dp"
            android:background="@drawable/rounded_blue_bg" />
    </LinearLayout>

</LinearLayout>